import pytest
from orchestrator.types import SubscriptionLifecycle

from gso.products import ProductName
from gso.products.product_types.office_router import OfficeRouter
from test.workflows import assert_complete, run_workflow


@pytest.mark.workflow()
def test_import_office_router_success(office_router_subscription_factory):
    imported_office_router = office_router_subscription_factory(is_imported=False)
    result, _, _ = run_workflow("import_office_router", [{"subscription_id": imported_office_router}])
    subscription = OfficeRouter.from_subscription(imported_office_router)

    assert_complete(result)
    assert subscription.product.name == ProductName.OFFICE_ROUTER
    assert subscription.status == SubscriptionLifecycle.ACTIVE
    assert subscription.insync
